<template>
  <main class="form-signin">
    <div class="card mb-4" v-if="data.email">
      <div class="card-body text-center">
        <img
          src="https://mdbcdn.b-cdn.net/img/Photos/new-templates/bootstrap-chat/ava6.webp"
          alt="avatar"
          class="rounded-circle img-fluid"
          style="width: 150px"
        />
        <h5 class="mt-3 mb-0">
          {{ data.username }}
          ({{ data.age }})
        </h5>
        <p class="text-muted mb-3">
          {{ data.email }}
        </p>
        <hr />
        <p class="text-muted mb-2">
          {{ data.address }}
        </p>

        <p class="text-muted mb-2">Tel: {{ data.phone }}</p>
      </div>
    </div>
  </main>
</template>

<script>
import { ref, onBeforeMount } from "vue";
import { useRouter } from "vue-router";
import { useStore } from "vuex";

export default {
  name: "MyProfile",
  setup() {
    const router = useRouter();
    const store = useStore();

    let data = ref({
      email: "",
    });

    onBeforeMount(async () => {
      try {
        const response = await fetch("api/profile", {
          headers: { "Content-Type": "application/json" },
          credentials: "include",
        });

        let user = await response.json();
        user.age = new Date().getFullYear() - user.dob.split("-")[0];
        data.value = user;
        store.commit("setAuth", { auth: true });
        
      } catch (e) {
        store.commit("setAuth", { auth: false });
        await router.push("/");
      }
    });

    return {
      data,
    };
  },
};
</script>
